function [rrr,rrrd]= Rd(obj,u,ud)
global Ck

xv=0;
yv=0;
rayon=10; % rayon du mcanisme (homothtie)
alpha=90*pi/180 +obj.param; %arc que forment les jambes
alphad=obj.paramd;

if isa(u,'Taylor')
    rrr=Taylor(get(obj,'order'),zeros(obj.ninc-1,1));
    rrrd=Taylor(get(obj,'order'),zeros(obj.ninc-1,1));
end

% inconnues Diamanlab
% lambda
  zv = u(7); zvd = ud(7);
  xd(1) = 0.; x(1) = u(1);
  xd(2) = 0.; x(2) = u(2);
  xd(3) = 0.; x(3) = u(3);
  xd(4) = 0.; x(4) = u(4);
  xd(5) = 0.; x(5) = u(5);
  xd(6) = 0.; x(6) = u(6);
  
% code m3us de Lennart
%Corde d'une jambe
  l = 2*rayon*sin(alpha/2);
%jambes identiques
  alpha1d = alphad; alpha1 = alpha;
%jambes identiques
  alpha2d = alphad; alpha2 = alpha;
%jambes identiques
  alpha3d = alphad; alpha3 = alpha;
%Projection de la corde de la jambe 1 sur X
  l11d = rayon*alpha1d*cos(alpha1); l11 = rayon*sin(alpha1);
%Projection de la corde de la jambe 1 sur Y
  l21d = 2*rayon*sin(alpha1/2)*alpha1d*cos(alpha1/2); l21 = 2*rayon*sin(alpha1/2)^2;
%Projection de la corde de la jambe 2 sur X
  l12d = rayon*alpha2d*cos(alpha2); l12 = rayon*sin(alpha2);
%Projection de la corde de la jambe 2 sur Y
  l22d = 2*rayon*sin(alpha2/2)*alpha2d*cos(alpha2/2); l22 = 2*rayon*sin(alpha2/2)^2;
%Projection de la corde de la jambe 3 sur X
  l13d = rayon*alpha3d*cos(alpha3); l13 = rayon*sin(alpha3);
%Projection de la corde de la jambe 3 sur Y
  l23d = 2*rayon*sin(alpha3/2)*alpha3d*cos(alpha3/2); l23 = 2*rayon*sin(alpha3/2)^2;
%distance entre les centres des sphriques lorsque le mcanisme est assembl
  d1 = sqrt(3)*rayon;
%distance entre les centres des sphriques lorsque le mcanisme est assembl
  d2 = sqrt(3)*rayon;
%distance entre les centres des sphriques lorsque le mcanisme est assembl
  d3 = sqrt(3)*rayon;
% Calcul des coordonnes du point B1, centre de la sphrique de la jambe 1
  xb1d = -(cos(x(2))*l21d); xb1 = rayon - l21*cos(x(2));
  yb1d = cos(x(1))*l11d - sin(x(2))*sin(x(1))*l21d; yb1 = l11*cos(x(1)) - l21*sin(x(2))*sin(x(1));
  zb1d = sin(x(1))*l11d + sin(x(2))*cos(x(1))*l21d; zb1 = l11*sin(x(1)) + l21*sin(x(2))*cos(x(1));
% Calcul des coordonnes du point B2, centre de la sphrique de la jambe 2
  xb2d = -(cos(2*pi/3)*cos(x(4))*l22d) - sin(2*pi/3)*(cos(x(3))*l12d-sin(x(4))*sin(x(3))*l21d);
  xb2 = (rayon-l22*cos(x(4)))*cos(2*pi/3) - (l12*cos(x(3))-l21*sin(x(4))*sin(x(3)))*sin(2*pi/3);
  yb2d = cos(2*pi/3)*(cos(x(3))*l12d-sin(x(4))*sin(x(3))*l22d) - sin(2*pi/3)*cos(x(4))*l22d;
  yb2 = (l12*cos(x(3))-l22*sin(x(4))*sin(x(3)))*cos(2*pi/3) + (rayon-l22*cos(x(4)))*sin(2*pi/3);
  zb2d = sin(x(3))*l12d + sin(x(4))*cos(x(3))*l22d;
  zb2 = l12*sin(x(3)) + l22*sin(x(4))*cos(x(3));
% Calcul des coordonnes du point B3, centre de la sphrique de la jambe 3
  xb3d = -(cos(-(2*pi/3))*cos(x(6))*l23d) - sin(-(2*pi/3))*(cos(x(5))*l13d-sin(x(6))*sin(x(5))*l23d);
  xb3 = (rayon-l23*cos(x(6)))*cos(-(2*pi/3)) - (l13*cos(x(5))-l23*sin(x(6))*sin(x(5)))*sin(-(2*pi/3));
  yb3d = cos(-(2*pi/3))*(cos(x(5))*l13d-sin(x(6))*sin(x(5))*l23d) - sin(-(2*pi/3))*cos(x(6))*l23d;
  yb3 = (l13*cos(x(5))-l23*sin(x(6))*sin(x(5)))*cos(-(2*pi/3)) + (rayon-l23*cos(x(6)))*sin(-(2*pi/3));
  zb3d = sin(x(5))*l13d + sin(x(6))*cos(x(5))*l23d;
  zb3 = l13*sin(x(5)) + l23*sin(x(6))*cos(x(5));
% Calcul de la distance entre les centres des sphriques
  arg1d = 2*(xb1-xb2)*(xb1d-xb2d) + 2*(yb1-yb2)*(yb1d-yb2d) + 2*(zb1-zb2)*(zb1d-zb2d);
  arg1 = (xb1-xb2)^2 + (yb1-yb2)^2 + (zb1-zb2)^2;
  if (get(arg1,'value') == 0.0) 
    D1d = 0.;
  else
    D1d = arg1d/(2.0*sqrt(arg1));
  end
  D1 = sqrt(arg1);
  arg1d = 2*(xb3-xb2)*(xb3d-xb2d) + 2*(yb3-yb2)*(yb3d-yb2d) + 2*(zb3-zb2)*(zb3d-zb2d);
  arg1 = (xb3-xb2)^2 + (yb3-yb2)^2 + (zb3-zb2)^2;
  if (get(arg1,'value') == 0.0) 
    D2d = 0.;
  else
    D2d = arg1d/(2.0*sqrt(arg1));
  end
  D2 = sqrt(arg1);
  arg1d = 2*(xb3-xb1)*(xb3d-xb1d) + 2*(yb3-yb1)*(yb3d-yb1d) + 2*(zb3-zb1)*(zb3d-zb1d);
  arg1 = (xb3-xb1)^2 + (yb3-yb1)^2 + (zb3-zb1)^2;
  if (get(arg1,'value') == 0.0) 
    D3d = 0.;
  else
    D3d = arg1d/(2.0*sqrt(arg1));
  end
  D3 = sqrt(arg1);
% Calcul des coordonnes du barycentres des centres des sphriques (devant
% tre confondu avec la position Voulu (Xv, Yv, Zv) )
  xpd = (xb1d+xb2d+xb3d)/3; xp = (xb1+xb2+xb3)/3;
  ypd = (yb1d+yb2d+yb3d)/3; yp = (yb1+yb2+yb3)/3;
  zpd = (zb1d+zb2d+zb3d)/3; zp = (zb1+zb2+zb3)/3;
%Calcul de RRR
  rrrd(1) = 0.; rrr(1) = D1 - d1;
  rrrd(2) = 0.; rrr(2) = D2 - d2;
  rrrd(3) = 0.; rrr(3) = D3 - d3;
  rrrd(4) = xpd; rrr(4) = xp - xv;
  rrrd(5) = ypd; rrr(5) = yp - yv;
  rrrd(6) = zpd; rrr(6) = zp - zv;
%Distance OP
  arg1d = 2*xp*xpd + 2*yp*ypd + 2*zp*zpd;
  arg1 = xp^2 + yp^2 + zp^2;
  if (get(arg1,'value') == 0.0) 
    opd = 0.;
  else
    opd = arg1d/(2.0*sqrt(arg1));
  end
  op = sqrt(arg1);
