function R1= R(obj,U)
    
    neq=get(obj,'neq');
    if isa(U,'Taylor')
        R1 = Taylor(get(U,'order'),zeros(neq,1));
    else
        R1 =zeros(neq,1);
    end 
   k1=obj.k1;           
   k2=obj.k2;
   F1=obj.F1;           
   F2=obj.F2;

   R1(1)=  U(3) + U(3)*U(1) + U(4)*U(1)  - F1*U(5);
   R1(2)=  U(4) + U(3)*U(2) + U(4)*U(2)  - F2*U(5);
   R1(3)=  U(3) - k1*U(1)-0.5*k1*( U(1)*U(1) + U(2)*U(2) ) ;
   R1(4)=  U(4) - k2*U(2)-0.5*k2*( U(1)*U(1) + U(2)*U(2) ) ;
   
 
