function [RRR,OP,alpha1,alpha2,alpha3,XB1,XB2,XB3,YB1,YB2,YB3,ZB1,ZB2,ZB3,XP,YP,ZP,R]= R(obj,U)
global Ck

Xv=0;
Yv=0;
R=10; % rayon du mcanisme (homothtie)
alpha=90*pi/270; %arc que forment les jambes

% inconnues Diamanlab
Zv=U(7);           % lambda
X(1)=U(1); X(2)=U(2); X(3)=U(3); X(4)=U(4); X(5)=U(5); X(6)=U(6);  % U

if isa(U,'Taylor')
    RRR=Taylor(get(obj,'order'),zeros(obj.ninc-1,1));
    if (get(X(1),'value') > 2*pi)
        %X(1)=X(1)-2*pi; X(2)=X(2)-2*pi; X(2)=X(2)-2*pi; 
    end
else
    format long
    if (X(1) > 2*pi)
        %X(1)=X(1)-2*pi; X(2)=X(2)-2*pi; X(2)=X(2)-2*pi; 
    end
    U(1:6)*180/pi;
    U(7);
end

% code m3us de Lennart
L=2*R*sin(alpha/2); %Corde d'une jambe
alpha1=alpha; %jambes identiques
alpha2=alpha; %jambes identiques
alpha3=alpha; %jambes identiques
L11=R*sin(alpha1); %Projection de la corde de la jambe 1 sur X
L21=2*R*(sin(alpha1/2))^2; %Projection de la corde de la jambe 1 sur Y
L12=R*sin(alpha2); %Projection de la corde de la jambe 2 sur X
L22=2*R*(sin(alpha2/2))^2; %Projection de la corde de la jambe 2 sur Y
L13=R*sin(alpha3); %Projection de la corde de la jambe 3 sur X
L23=2*R*(sin(alpha3/2))^2; %Projection de la corde de la jambe 3 sur Y
d1=sqrt(3)*R; %distance entre les centres des sphriques lorsque le mcanisme est assembl
d2=sqrt(3)*R; %distance entre les centres des sphriques lorsque le mcanisme est assembl
d3=sqrt(3)*R; %distance entre les centres des sphriques lorsque le mcanisme est assembl

% Calcul des coordonnes du point B1, centre de la sphrique de la jambe 1
XB1=R-L21*cos(X(2));
YB1=(L11*cos(X(1))-L21*sin(X(2))*sin(X(1)));
ZB1=L11*sin(X(1))+L21*sin(X(2))*cos(X(1));

% Calcul des coordonnes du point B2, centre de la sphrique de la jambe 2
XB2=(R-L22*cos(X(4)))*cos(2*pi/3)-(L12*cos(X(3))-L21*sin(X(4))*sin(X(3)))*sin(2*pi/3);
YB2=(L12*cos(X(3))-L22*sin(X(4))*sin(X(3)))*cos(2*pi/3)+(R-L22*cos(X(4)))*sin(2*pi/3);
ZB2=L12*sin(X(3))+L22*sin(X(4))*cos(X(3));

% Calcul des coordonnes du point B3, centre de la sphrique de la jambe 3
XB3=(R-L23*cos(X(6)))*cos(-2*pi/3)-(L13*cos(X(5))-L23*sin(X(6))*sin(X(5)))*sin(-2*pi/3);
YB3=(L13*cos(X(5))-L23*sin(X(6))*sin(X(5)))*cos(-2*pi/3)+(R-L23*cos(X(6)))*sin(-2*pi/3);
ZB3=L13*sin(X(5))+L23*sin(X(6))*cos(X(5));

% Calcul de la distance entre les centres des sphriques
D1=sqrt((XB1-XB2)^2+(YB1-YB2)^2+(ZB1-ZB2)^2);
D2=sqrt((XB3-XB2)^2+(YB3-YB2)^2+(ZB3-ZB2)^2);
D3=sqrt((XB3-XB1)^2+(YB3-YB1)^2+(ZB3-ZB1)^2);   

% Calcul des coordonnes du barycentres des centres des sphriques (devant
% tre confondu avec la position Voulu (Xv, Yv, Zv) )
XP=(XB1+XB2+XB3)/3; 
YP=(YB1+YB2+YB3)/3;
ZP=(ZB1+ZB2+ZB3)/3;

%Calcul de RRR
RRR(1)=D1-d1;
RRR(2)=D2-d2;
RRR(3)=D3-d3;
RRR(4)=XP-Xv;
RRR(5)=YP-Yv;
RRR(6)=ZP-Zv;

%Distance OP
OP=sqrt(XP^2+YP^2+ZP^2);      
end