function R = R(obj,U)

neq=get(obj,'neq');
if isa(U,'Taylor')
  R = Taylor(get(U,'order'),zeros(neq,1));
else
  R = zeros(neq,1);
end 



A=-2*eye(neq);
for i=2:neq
    A(i,i-1)=1;
    A(i-1,i)=1;
end
A=A/(1/(neq)^2);

R = A*U(1:neq) + U(neq+1)*exp(U(1:neq));
 
