function [] = disp(obj,U)


Nz=obj.Nz;
Nelmt=obj.Nelmt;
Npoly=obj.Npoly;

Ppostp=obj.Ppostp;

Nzd =(Npoly*Nelmt+1)*Nz;

% value at sample point
x_N    =U(1:Nz:Nzd);
y_N    =U(2:Nz:Nzd);
theta_N=U(3:Nz:Nzd);
m_N    =U(4:Nz:Nzd);

% value inside element (11 point/element)
iG=1; 
iN=1;
x=zeros(10*Nelmt+1,1);
y=zeros(10*Nelmt+1,1);
theta=zeros(10*Nelmt+1,1);
m= zeros(10*Nelmt+1,1);

for i=1:Nelmt
LG= iG:iG+10;
LN= iN:iN+Npoly;
iG=iG+10; 
iN=iN+Npoly;

x(LG)    = Ppostp*x_N(LN) ;    
y(LG)    = Ppostp*y_N(LN) ;   
theta(LG)= Ppostp*theta_N(LN) ;
m(LG)    = Ppostp*m_N(LN)  ;   
end
hh=figure(3);  %set(hh,'Position',[1,1,1000,800]);

eclam=0.05;
xclam=[ 0 -0.2 -0.2 0  0]*eclam;
yclam=[ 1 1  -1 -1  1 ]*eclam;
xclam2= x_N(end) +[ 0 0.2 0.2 0  0  0.2    0.2  1.2 0.2 0.4 0.2 0.4 0.2  ]*eclam;
yclam2= y_N(end) +[ 1 1  -1  -1  1   1      0    0   0   0.2 0  -0.2  0  ]*eclam;
plot(xclam,yclam,'g',x,y,'b', xclam2,yclam2,'g','Linewidth',2)
axis equal
axis equal


